Public Member Functions | Private Attributes

# BootstrapAskForDownloadWindow Class Reference

The window for the query. More...

Inheritance diagram for BootstrapAskForDownloadWindow:

## Public Member Functions
| BootstrapAskForDownloadWindow ()
| Start listening to the content client events.
| ~BootstrapAskForDownloadWindow ()
| Stop listening to the content client events.
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
virtual void | DrawWidget (const Rect &r, int widget) const
virtual void | OnClick (Point pt, int widget, int click_count)
virtual void | OnConnect (bool success)
| Callback for when the connection has finished.
virtual void | OnReceiveContentInfo (const ContentInfo *ci)
| We received a content info.
## Private Attributes
Dimension | button_size
| The dimension of the button.

## Detailed Description

The window for the query.

It can't use the generic query window as that uses sprites that don't exist yet.

Definition at line 126 of file bootstrap_gui.cpp.

## Constructor & Destructor Documentation

BootstrapAskForDownloadWindow::BootstrapAskForDownloadWindow | ( |  | ) | `[inline]`

Start listening to the content client events.

Definition at line 131 of file bootstrap_gui.cpp.

References _network_content_client, ClientNetworkContentSocketHandler::AddCallback(), Window::InitNested(), and WN_CONFIRM_POPUP_QUERY_BOOTSTRAP.

BootstrapAskForDownloadWindow::~BootstrapAskForDownloadWindow | ( |  | ) | `[inline]`

Stop listening to the content client events.

Definition at line 138 of file bootstrap_gui.cpp.

References _network_content_client, and ClientNetworkContentSocketHandler::RemoveCallback().

## Member Function Documentation

virtual void BootstrapAskForDownloadWindow::OnConnect | ( | bool | success | ) | `[inline, virtual]`

Callback for when the connection has finished.

Parameters:

  | success | whether the connection was made or that we failed to make it

Reimplemented from ContentCallback.

Definition at line 190 of file bootstrap_gui.cpp.

References _network_content_client, CONTENT_TYPE_BASE_GRAPHICS, and ClientNetworkContentSocketHandler::RequestContentList().

virtual void BootstrapAskForDownloadWindow::OnReceiveContentInfo | ( | const ContentInfo * | ci | ) | `[inline, virtual]`

We received a content info.

Parameters:

  | ci | the content info

Reimplemented from ContentCallback.

Definition at line 196 of file bootstrap_gui.cpp.

References _network_content_client, ContentInfo::id, and ClientNetworkContentSocketHandler::Select().

The documentation for this class was generated from the following file:

- src/bootstrap_gui.cpp